Skip to Content

Complete a mail history upload

Assembles the archive using every part number and its ETag as returned by storage.

POST
/v1/mailboxes/{id}/imports/{importId}/uploads/{archiveId}/complete

Assembles the archive using every part number and its ETag as returned by storage. A successful completion can be retried. Complete every archive before starting the import.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
importId*string
archiveId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

application/json
  1. body
parts*array<>
Items1 <= items <= 1024

Response Body

SuccessResponse

application/json
  1. response
success*boolean
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.completeImportUpload({
  "id": "example",
  "importId": "example",
  "archiveId": "example",
  "parts": [
    {
      "partNumber": 1,
      "etag": "example"
    }
  ]
});
Example Response
{
  "success": true
}

Related documentation